<?php
$tdataexpense_category = array();
$tdataexpense_category[".searchableFields"] = array();
$tdataexpense_category[".ShortName"] = "expense_category";
$tdataexpense_category[".OwnerID"] = "";
$tdataexpense_category[".OriginalTable"] = "expense_category";


$tdataexpense_category[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list1\",\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataexpense_category[".originalPagesByType"] = $tdataexpense_category[".pagesByType"];
$tdataexpense_category[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list1\",\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataexpense_category[".originalPages"] = $tdataexpense_category[".pages"];
$tdataexpense_category[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list1\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataexpense_category[".originalDefaultPages"] = $tdataexpense_category[".defaultPages"];

//	field labels
$fieldLabelsexpense_category = array();
$fieldToolTipsexpense_category = array();
$pageTitlesexpense_category = array();
$placeHoldersexpense_category = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsexpense_category["English"] = array();
	$fieldToolTipsexpense_category["English"] = array();
	$placeHoldersexpense_category["English"] = array();
	$pageTitlesexpense_category["English"] = array();
	$fieldLabelsexpense_category["English"]["id"] = "Id";
	$fieldToolTipsexpense_category["English"]["id"] = "";
	$placeHoldersexpense_category["English"]["id"] = "";
	$fieldLabelsexpense_category["English"]["expense_category"] = "Expense Category";
	$fieldToolTipsexpense_category["English"]["expense_category"] = "";
	$placeHoldersexpense_category["English"]["expense_category"] = "";
	if (count($fieldToolTipsexpense_category["English"]))
		$tdataexpense_category[".isUseToolTips"] = true;
}


	$tdataexpense_category[".NCSearch"] = true;



$tdataexpense_category[".shortTableName"] = "expense_category";
$tdataexpense_category[".nSecOptions"] = 0;

$tdataexpense_category[".mainTableOwnerID"] = "";
$tdataexpense_category[".entityType"] = 0;
$tdataexpense_category[".connId"] = "test2_at_localhost";


$tdataexpense_category[".strOriginalTableName"] = "expense_category";

	



$tdataexpense_category[".showAddInPopup"] = false;

$tdataexpense_category[".showEditInPopup"] = false;

$tdataexpense_category[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataexpense_category[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataexpense_category[".listAjax"] = true;
//	temporary
$tdataexpense_category[".listAjax"] = false;

	$tdataexpense_category[".audit"] = true;

	$tdataexpense_category[".locking"] = false;


$pages = $tdataexpense_category[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataexpense_category[".edit"] = true;
	$tdataexpense_category[".afterEditAction"] = 1;
	$tdataexpense_category[".closePopupAfterEdit"] = 1;
	$tdataexpense_category[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataexpense_category[".add"] = true;
$tdataexpense_category[".afterAddAction"] = 1;
$tdataexpense_category[".closePopupAfterAdd"] = 1;
$tdataexpense_category[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataexpense_category[".list"] = true;
}



$tdataexpense_category[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataexpense_category[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataexpense_category[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataexpense_category[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataexpense_category[".printFriendly"] = true;
}



$tdataexpense_category[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataexpense_category[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataexpense_category[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataexpense_category[".isUseAjaxSuggest"] = true;

$tdataexpense_category[".rowHighlite"] = true;



																																																			

$tdataexpense_category[".ajaxCodeSnippetAdded"] = false;

$tdataexpense_category[".buttonsAdded"] = false;

$tdataexpense_category[".addPageEvents"] = false;

// use timepicker for search panel
$tdataexpense_category[".isUseTimeForSearch"] = false;


$tdataexpense_category[".badgeColor"] = "DC143C";


$tdataexpense_category[".allSearchFields"] = array();
$tdataexpense_category[".filterFields"] = array();
$tdataexpense_category[".requiredSearchFields"] = array();

$tdataexpense_category[".googleLikeFields"] = array();
$tdataexpense_category[".googleLikeFields"][] = "id";
$tdataexpense_category[".googleLikeFields"][] = "expense_category";



$tdataexpense_category[".tableType"] = "list";

$tdataexpense_category[".printerPageOrientation"] = 0;
$tdataexpense_category[".nPrinterPageScale"] = 100;

$tdataexpense_category[".nPrinterSplitRecords"] = 40;

$tdataexpense_category[".geocodingEnabled"] = false;





$tdataexpense_category[".isResizeColumns"] = true;





$tdataexpense_category[".pageSize"] = 20;

$tdataexpense_category[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataexpense_category[".strOrderBy"] = $tstrOrderBy;

$tdataexpense_category[".orderindexes"] = array();


$tdataexpense_category[".sqlHead"] = "SELECT id,  	expense_category";
$tdataexpense_category[".sqlFrom"] = "FROM expense_category";
$tdataexpense_category[".sqlWhereExpr"] = "";
$tdataexpense_category[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataexpense_category[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataexpense_category[".arrGroupsPerPage"] = $arrGPP;

$tdataexpense_category[".highlightSearchResults"] = true;

$tableKeysexpense_category = array();
$tableKeysexpense_category[] = "id";
$tdataexpense_category[".Keys"] = $tableKeysexpense_category;


$tdataexpense_category[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "expense_category";
	$fdata["Label"] = GetFieldLabel("expense_category","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpense_category["id"] = $fdata;
		$tdataexpense_category[".searchableFields"][] = "id";
//	expense_category
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "expense_category";
	$fdata["GoodName"] = "expense_category";
	$fdata["ownerTable"] = "expense_category";
	$fdata["Label"] = GetFieldLabel("expense_category","expense_category");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expense_category";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expense_category";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpense_category["expense_category"] = $fdata;
		$tdataexpense_category[".searchableFields"][] = "expense_category";


$tables_data["expense_category"]=&$tdataexpense_category;
$field_labels["expense_category"] = &$fieldLabelsexpense_category;
$fieldToolTips["expense_category"] = &$fieldToolTipsexpense_category;
$placeHolders["expense_category"] = &$placeHoldersexpense_category;
$page_titles["expense_category"] = &$pageTitlesexpense_category;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["expense_category"] = array();
//	expenditure_data
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="expenditure_data";
		$detailsParam["dOriginalTable"] = "expenditure_data";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "expenditure_data";
	$detailsParam["dCaptionTable"] = GetTableCaption("expenditure_data");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["expense_category"][$dIndex] = $detailsParam;

	
		$detailsTablesData["expense_category"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["expense_category"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["expense_category"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["expense_category"][$dIndex]["detailKeys"][]="expense_category";

// tables which are master tables for current table (detail)
$masterTablesData["expense_category"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_expense_category()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	expense_category";
$proto0["m_strFrom"] = "FROM expense_category";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "expense_category",
	"m_srcTableName" => "expense_category"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "expense_category";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "expense_category",
	"m_strTable" => "expense_category",
	"m_srcTableName" => "expense_category"
));

$proto8["m_sql"] = "expense_category";
$proto8["m_srcTableName"] = "expense_category";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "expense_category";
$proto11["m_srcTableName"] = "expense_category";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "expense_category";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "expense_category";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "expense_category";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="expense_category";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_expense_category = createSqlQuery_expense_category();


	
		;

		

$tdataexpense_category[".sqlquery"] = $queryData_expense_category;



$tableEvents["expense_category"] = new eventsBase;
$tdataexpense_category[".hasEvents"] = false;

?>